package com.jsowell.pile.mapper;

import com.jsowell.pile.domain.OrderMonitorData;

public interface OrderMonitorDataMapper {
    /**
     * delete by primary key
     * @param id primaryKey
     * @return deleteCount
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * insert record to table
     * @param record the record
     * @return insert count
     */
    int insert(OrderMonitorData record);

    /**
     * insert record to table selective
     * @param record the record
     * @return insert count
     */
    int insertSelective(OrderMonitorData record);

    /**
     * select by primary key
     * @param id primary key
     * @return object by primary key
     */
    OrderMonitorData selectByPrimaryKey(Integer id);

    OrderMonitorData selectByOrderCode(String orderCode);

    OrderMonitorData selectByTransactionCode(String transactionCode);
}